% Copyright (C) 2008-2011 - Digiteo - Michael Baudin
%
% This file must be used under the terms of the 
% Creative Commons Attribution-ShareAlike 3.0 Unported License :
% http://creativecommons.org/licenses/by-sa/3.0/



@book{WhatEveryComputerScientist,
author = {David Goldberg},
title = {What Every Computer Scientist Should Know About Floating-Point Arithmetic},
month={March},
year = {1991},
publisher= {Association for Computing Machinery, Inc.},
note = {\url{http://www.physics.ohio-state.edu/~dws/grouplinks/floating_point_math.pdf}},
}


@article{Smith1962,
 author = {Smith,, Robert L.},
 title = {Algorithm 116: Complex division},
 journal = {Commun. ACM},
 volume = {5},
 number = {8},
 year = {1962},
 issn = {0001-0782},
 pages = {435},
 doi = {http://doi.acm.org/10.1145/368637.368661},
 publisher = {ACM},
 address = {New York, NY, USA},
 }


@article{567808,
 author = {Li,, Xiaoye S. and Demmel,, James W. and Bailey,, David H. and Henry,, Greg and Hida,, Yozo and Iskandar,, Jimmy and Kahan,, William and Kang,, Suh Y. and Kapur,, Anil and Martin,, Michael C. and Thompson,, Brandon J. and Tung,, Teresa and Yoo,, Daniel J.},
 title = {Design, implementation and testing of extended and mixed precision {BLAS}},
 journal = {ACM Trans. Math. Softw.},
 volume = {28},
 number = {2},
 year = {2002},
 issn = {0098-3500},
 pages = {152--205},
 doi = {http://doi.acm.org/10.1145/567806.567808},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@UNPUBLISHED{Li2000,
  author = {X. S. Li and J. W. Demmel and D. H. Bailey and G. Henry and Y. Hida and J. Iskandar and
  W. Kahan and A. Kapur and M. C. Martin and T. Tung and D. J. Yoo},
   title = {Design, Implementation and Testing of Extended and Mixed Precision {BLAS}},
   year = {2000}, 
   note = {\url{www.netlib.org/lapack/lawnspdf/lawn149.pdf}}
   }

@article{KAHAN1987,
 author = {KAHAN, W.},
 title = {Branch cuts for complex elementary functions, or much ado about nothing's sign bit.},
 year = {1987},
 pages = {165--211},
 publisher = {In The State of the Art m Numerzcal Analysts. Proceedings of the Joint IMA/SIAM Conference, A. Iserles and M J. D Powell, Eds. Clarendon Press, Oxford, England},
 }

@article{1039814,
 author = {Priest,, Douglas M.},
 title = {Efficient scaling for complex division},
 journal = {ACM Trans. Math. Softw.},
 volume = {30},
 number = {4},
 year = {2004},
 issn = {0098-3500},
 pages = {389--401},
 doi = {http://doi.acm.org/10.1145/1039813.1039814},
 publisher = {ACM},
 address = {New York, NY, USA},
 }




@ARTICLE{1667289,
title={Underflow and the Denormalized Numbers},
author={Coonen, J.T.},
journal={Computer},
year={1981},
month={March },
volume={14},
number={3},
pages={75-87},
doi={10.1109/C-M.1981.220382},
ISSN={0018-9162}, }

@book{artcomputerKnuthVol2,
author = {D. E. Knuth},
title = {The Art of Computer Programming, Volume 2, Seminumerical Algorithms},
year = {1998},
publisher= {Third Edition, Addison Wesley, Reading, MA}}

@Article{Wynn:1962:AAP,
  author =       "P. Wynn",
  title =        "An Arsenal of {ALGOL} Procedures for Complex Arithmetic",
  journal =      "BIT Numerical Mathematics",
  volume =       "2",
  number =       "4",
  pages =        "232--255",
  month =        dec,
  year =         "1962",
  CODEN =        "BITTEL, NBITAB",
  DOI =          "http://www.springerlink.com/openurl.asp?genre=article&id=doi:10.1007/BF01940171",
  ISSN =         "0006-3835 (print), 1572-9125 (electronic)",
  bibdate =      "Wed Jan 4 18:52:07 MST 2006",
  bibsource =    "ftp://ftp.math.utah.edu/pub/tex/bib/bit.bib;
                 http://springerlink.metapress.com/openurl.asp?genre=issue&issn=0006-3835&volume=2&issue=4",
  URL =          "http://www.springerlink.com/openurl.asp?genre=article&issn=0006-3835&volume=2&issue=4&spage=232",
  acknowledgement = ack-nhfb,
}

@article{DBLP:journals/cacm/Friedland67,
  author    = {Paul Friedland},
  title     = {Algorithm 312: Absolute value and square root of a complex
               number},
  journal   = {Commun. ACM},
  volume    = {10},
  number    = {10},
  year      = {1967},
  pages     = {665},
  ee        = {http://doi.acm.org/10.1145/363717.363780},
  bibsource = {DBLP, http://dblp.uni-trier.de}
}


@techreport{900236,
 author = {Lawson,, C. L. and Hanson,, R. J. and Kincaid,, D. R. and Krogh,, F. T.},
 title = {Basic Linear Algebra Subprograms for FORTRAN Usage},
 year = {1977},
 source = {http://www.ncstrl.org:8900/ncstrl/servlet/search?formname=detail\&id=oai%3Ancstrlh%3Autexas_cs%3AUTEXAS_CS%2F%2FCS-TR-77-72},
 publisher = {University of Texas at Austin},
 address = {Austin, TX, USA},
 }

@article{355771,
 author = {Blue,, James L.},
 title = {A Portable Fortran Program to Find the Euclidean Norm of a Vector},
 journal = {ACM Trans. Math. Softw.},
 volume = {4},
 number = {1},
 year = {1978},
 issn = {0098-3500},
 pages = {15--23},
 doi = {http://doi.acm.org/10.1145/355769.355771},
 publisher = {ACM},
 address = {New York, NY, USA},
 }
@InCollection{Cody:1971:SEF,
  author =       "W. J. Cody",
  title =        "Software for the Elementary Functions",
  crossref =     "Rice:1971:MS",
  pages =        "171--186",
  year =         "1971",
  bibdate =      "Thu Sep 15 18:56:47 1994",
  bibsource =    "garbo.uwasa.fi:/pc/doc-soft/fpbiblio.txt",
  acknowledgement = ack-nj,
}

@techreport{ieee754-1985,
	author = {Stevenson, David  },
	booktitle = {ANSI/IEEE Std 754-1985},
	journal = {ANSI/IEEE Std 754-1985},
	month = {August},
	title = {IEEE standard for binary floating-point arithmetic},
	url = {http://ieeexplore.ieee.org/xpls/abs\_all.jsp?arnumber=30711},
	year = {1985}
}

@Book{P754:2008:ISF,
  author =       "{IEEE Task P754}",
  title =        "{IEEE 754-2008, Standard for Floating-Point
                 Arithmetic}",
  pages =        "58",
  day =          "29",
  month =        aug,
  year =         "2008",
  URL =          "http://ieeexplore.ieee.org/servlet/opac?punumber=4610933;
                  http://en.wikipedia.org/wiki/IEEE_754-2008",
}



@book{261217,
 author = {Muller,, Jean-Michel},
 title = {Elementary functions: algorithms and implementation},
 year = {1997},
 isbn = {0-8176-3990-X},
 publisher = {Birkhauser Boston, Inc.},
 address = {Secaucus, NJ, USA},
 }



@UNPUBLISHED{WWWWolframAlpha,
   title = {Wolfram Alpha},
   author = {Wolfram Research},
   note = {\url{http://www.wolframalpha.com}}
   }

@UNPUBLISHED{WWWScilab,
   title = {Scilab},
   author = {The Scilab Consortium},
   note = {\url{http://www.scilab.org}}
   }

@UNPUBLISHED{WWWMatlab,
   title = {Matlab},
   author = {The MathWorks},
   note = {\url{http://www.mathworks.fr}}
   }

@UNPUBLISHED{WWWOctave,
   title = {Octave},
   note = {\url{http://www.gnu.org/software/octave}}
   }

@Book{Higham:2002:ASN,
  author =       "Nicholas J. Higham",
  title =        "Accuracy and Stability of Numerical Algorithms",
  publisher =    "Society for Industrial and Applied Mathematics",
  address =      "Philadelphia, PA, USA",
  edition =      "Second",
  year =         "2002",
  pages =        "xxx+680",
  ISBN =         "0-89871-521-0"
}

@Book{Wilkinson1964,
  author =       {J. Wilkinson},
  title =        {Rounding Errors In Algebraic Processes},
  publisher =    {Prentice-Hall},
  year =         {1964},
}


@Book{MullerEtAl2010,
  title        = {Handbook of Floating-Point Arithmetic},
  author    = {Muller, Jean-Michel and Brisebarre, Nicolas and de
          Dinechin, Florent and Jeannerod, Claude-Pierre and
          Lef{\`e}vre, Vincent and Melquiond, Guillaume and Revol,
          Nathalie and Stehl{\'e}, Damien and Torres, Serge},
  publisher    = {{B}irkh\"auser {B}oston },
  pages    = {572 },
  note        = {{ACM} {G}.1.0; {G}.1.2; {G}.4; {B}.2.0; {B}.2.4; {F}.2.1.,
                  ISBN 978-0-8176-4704-9},
  year        = {2010},
}

@article{Monniaux2008,
 author = {Monniaux, David},
 title = {The pitfalls of verifying floating-point computations},
 journal = {ACM Trans. Program. Lang. Syst.},
 volume = {30},
 number = {3},
 year = {2008},
 issn = {0164-0925},
 pages = {1--41},
 doi = {http://doi.acm.org/10.1145/1353445.1353446},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@techreport{CordenKreitzerIntel2009,
   title = {Consistency of Floating-Point Results using the {I}ntel Compiler or Why doesn't my application always give the same answer?},
   author = {Corden, Martyn J. and Kreitzer, David},
   institution = {{I}ntel Corporation, Software Solutions Group},    
   year = {2009}
}



@UNPUBLISHED{KahanMarketing2000,
   author = {William Kahan},
   title = {Marketing versus Mathematics},
   year = {2000}, 
   note = {\url{www.cs.berkeley.edu/~wkahan/MktgMath.ps}}
   }






@UNPUBLISHED{Intel64IA32Architecture,
   title = {Intel 64 and IA-32 Architectures Software Developer's Manual. Volume 1: Basic Architecture},
   author = {Intel Corporation},    
   year = {2009},
   note = {\url{http://www.intel.com/products/processor/manuals}}
}

@techreport{ProgrammingC,
   title = {Programming languages - {C}, {ISO/IEC} 9899:{TC3}},
   author = {{ISO/IEC}},
   year = {2007}, 
   note = {\url{http://www.open-std.org/jtc1/sc22/wg14/www/docs/n1256.pdf}}
}

@techreport{GCCManual2008,
   title = {The {G}NU Compiler Collection},
   author = {Free Software Foundation},
   year = {2008}
}

@article{214414,
 author = {Stewart,, G. W.},
 title = {A note on complex division},
 journal = {ACM Transactions on Mathematical Software},
 volume = {11},
 number = {3},
 year = {1985},
 pages = {238--241},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@Article{Stewart:1986:CNC,
  author =       "G. W. Stewart",
  title =        "Corrigendum: ``{A} Note on Complex Division''",
  journal =      {ACM Transactions on Mathematical Software},
  volume =       "12",
  number =       "3",
  pages =        "285--285",
  month =        sep,
  year =         "1986",
}

@book{montecarlomethodsHammersleyHandscomb,
author = {J. M. Hammersley and D. C. Handscomb},
title = {Monte Carlo Methods},
year = {1964},
publisher= {Chapman and Hall}}


@book{introprobasGrinsteadSnell,
author = {Grinstead, M., Charles and Snell, Laurie, J.},
title = {Introduction to probabilities, Second Edition},
year = {1997},
publisher= {American Mathematical Society}}

@Article{Dem84,
  author =       "J. W. Demmel",
  year =         "1984",
  title =        "Underflow and the Reliability of Numerical Software",
  journal =      {{SIAM} Journal on Scientific and Statistical Computing},
  volume =       "5",
  pages =        "887--919",
}


@UNPUBLISHED{GCCFloatMath,
  author = {Geert Bosch and Richard Guenther and Andrew Pinski and Clint Whaley},
   title = {Semantics of Floating Point Math in GCC},
   year = {2008}, 
   note = {\url{http://gcc.gnu.org/wiki/FloatingPointMath}}
   }

@UNPUBLISHED{RComplexDivision,
   author = {Robert Gentleman and Ross Ihaka and The R Development Core Team and The R Foundation},
   title = {complex.c},
   year = {2011}, 
   note = {\url{svn.r-project.org/R/trunk/src/main/complex.c}}
   }

@UNPUBLISHED{McLaren2009,
   author = {Nick Maclaren},
   title = {How Computers Handle Numbers - Some of the Sordid Details},
   year = {2009}, 
   month = {July},
   note = {\url{http://www-uxsup.csx.cam.ac.uk/courses/Arithmetic/paper_99.pdf}}
   }

%% inria-00120352, version 2
%% http://hal.inria.fr/inria-00120352/en/
@article{BRENT:2007:INRIA-00120352:2,
    HAL_ID = {inria-00120352},
    URL = {http://hal.inria.fr/inria-00120352/en/},
    title = { {E}rror {B}ounds on {C}omplex {F}loating-{P}oint {M}ultiplication},
    author = {{B}rent, {R}ichard and {P}ercival, {C}olin and {Z}immermann, {P}aul},
    abstract = {{G}iven floating-point arithmetic with $t$-digit base-$\beta$ significands in which all arithmetic operations are performed as if calculated to infinite precision and rounded to a nearest representable value, we prove that the product of complex values $z_0$ and $z_1$ can be computed with maximum absolute error $\abs{z_0} \abs{z_1} \frac{1}{2} \beta^{1 - t} \sqrt{5}$. {I}n particular, this provides relative error bounds of $2^{-24} \sqrt{5}$ and $2^{-53} \sqrt{5}$ for {{IEEE} 754} single and double precision arithmetic respectively, provided that overflow, underflow, and denormals do not occur. {W}e also provide the numerical worst cases for {{IEEE} 754} single and double precision arithmetic.},
    keywords = {{IEEE} 754, floating-point number, complex multiplication, roundoff error, error analysis},
    language = {{A}nglais},
    affiliation = {{CACAO} ({C}ourbes, {A}lg{\`e}bre, {C}alculs, {A}rithm{\'e}tique des {O}rdinateurs) - {INRIA} {L}orraine - {LORIA} - {CNRS} : {UMR}7503 - {INRIA} - {U}niversit{\'e} {H}enri {P}oincar{\'e} - {N}ancy {I} - {U}niversit{\'e} {N}ancy {II} - {I}nstitut {N}ational {P}olytechnique de {L}orraine },
    publisher = {{A}merican {M}athematical {S}ociety },
    pages = {1469-1481 },
    journal = {{M}athematics of {C}omputation },
    volume = {76 },
    note = {},
    audience = {internationale },
    year = {2007},
    URL = {http://hal.inria.fr/inria-00120352/PDF/squelette-rr.pdf},
}

@article{Dunham:1989:ICA:74654.74655,
 author = {Dunham, C. B.},
 title = {Improvement of complex arithmetic by use of double elements},
 journal = {SIGNUM Newsl.},
 volume = {24},
 issue = {4},
 month = {November},
 year = {1989},
 issn = {0163-5778},
 pages = {3--7},
 numpages = {5},
 url = {http://doi.acm.org/10.1145/74654.74655},
 doi = {http://doi.acm.org/10.1145/74654.74655},
 acmid = {74655},
 publisher = {ACM},
 address = {New York, NY, USA},
} 

@UNPUBLISHED{BaileyMPDist,
   author = {David Bailey},
   title = {A {F}ortran 90 double-double precision library},
   year = {2011}, 
   note = {\url{http://crd.lbl.gov/~dhbailey/mpdist/}}
   }

@UNPUBLISHED{VisualStudio2010,
   author = {Microsoft},
   title = {Floating point support: Long Double},
   year = {2011}, 
   note = {\url{http://msdn.microsoft.com/en-us/library/9cx8xs15.aspx}}
   }



@UNPUBLISHED{GCCFloatTypes,
   author = {Free Software Foundation, Inc.},
   title = {Additional Floating Types},
   year = {2011}, 
   note = {\url{http://gcc.gnu.org/onlinedocs/gcc/Floating-Types.html}}
   }

@UNPUBLISHED{WWWMapleSoft,
   title = {MapleSoft},
   author = {Maple},
   note = {\url{http://www.maplesoft.com}}
   }

@UNPUBLISHED{WWWMathematica,
   title = {Mathematica},
   author = {Wolfram Research},
   note = {\url{http://www.wolfram.com/products/mathematica}}
   }

@UNPUBLISHED{WWWMaxima,
   title = {Maxima},
   note = {\url{http://maxima.sourceforge.net/}}
   }

@UNPUBLISHED{DemmelPC2011,
   title = {An example of underflow for Smith's algorithm},
   author = {James Demmel},
   note = {Personnal Communication},
   year = {2011},
   month = {June}
   }

@UNPUBLISHED{BaudinFloatInSci2011,
   title = {Floating point numbers in {S}cilab},
   author = {Micha\"el Baudin},
   year = {2011},
   month = {June}
   }

@UNPUBLISHED{BaudinScinaive2010,
   title = {{S}cilab is not naive},
   author = {Micha\"el Baudin},
   year = {2010},
   month = {November}
   }


